# DecTrig

**Decimal-Based Trigonometry Framework**  
_Fast. Simple. Scalable._

[![PyPI Version](https://img.shields.io/pypi/v/dectrig.svg)](https://pypi.org/project/dectrig/)
[![License](https://img.shields.io/pypi/l/dectrig.svg)](https://github.com/Feynmantle/DecTrig/blob/main/LICENSE)

---

## Description

**DecTrig** is a lightweight, decimal-based trigonometric framework designed for speed, simplicity, and computational efficiency.

It introduces the **Holoman sin² Method**, a novel interpolation approach optimized for fixed-point math systems, embedded applications, and fast real-time calculations.

DecTrig provides functions for:
- Decimal-based sine (`dec_sin`)
- Decimal-based cosine (`dec_cos`)
- Decimal-based tangent (`dec_tan`)
- Direct access to the Holoman sin² core (`holoman_sin2`)

Built to replace heavy floating-point trigonometry where speed and simplicity matter most.

---

## Installation

Install DecTrig via pip:

```bash
pip install dectrig

